export interface CacheSaveEntry<T> {
    timestamp: string | undefined;
    content: T;
}
export declare type CacheLoadResult<T> = {
    exists: true;
    content: T;
    timestamp: string;
} | {
    exists: false;
};
export interface Cache {
    save(content: any, key: string, timestamp: Date): Promise<void>;
    load(key: string): Promise<CacheLoadResult<any>>;
}
export declare function createCache(cacheRoot: string): Cache;
